org.codehaus.plexus.maven.plugin.report

## Class Component

- java.lang.Object
- - org.codehaus.plexus.maven.plugin.report.Component

All Implemented Interfaces:
  Comparable

    public class Component
    extends Object
    implements Comparable

Version:
  $Id: Component.java 6925 2007-10-01 04:35:26Z user57 $
Author:
  Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`Component(org.jdom.Element component)`

### Method Summary

Methods
`int` `compareTo(Object o)`
`String` `getImplementation()`
`String` `getRole()`
`String` `getRoleHint()`
`boolean` `hasRoleHint()`
`void` `print(org.apache.maven.doxia.sink.Sink sink, String javaDocDestDir, String jxrDestDir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Component

    public Component(org.jdom.Element component)

### Method Detail

#### getRole

    public String getRole()

#### getRoleHint

    public String getRoleHint()

#### getImplementation

    public String getImplementation()

#### hasRoleHint

    public boolean hasRoleHint()

#### print

    public void print(org.apache.maven.doxia.sink.Sink sink,
             String javaDocDestDir,
             String jxrDestDir)

#### compareTo

    public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`